<?php
/**
 * Core class
 *
 * @since 1.0
 */
namespace dodebug;

defined( 'WPINC' ) || exit;

class Core extends Instance
{
	protected static $_instance;

	const VER = DODEBUG_V;

	/**
	 * Init
	 *
	 * @since  1.0
	 * @access protected
	 */
	protected function __construct()
	{
		Conf::get_instance()->init();

		// Check if debug is on
		if ( Conf::val( 'debug' ) ) {
			Log::init();
		}

		if ( is_admin() ) {
			Admin::get_instance()->init();
		}

		register_activation_hook( DODEBUG_DIR . 'dodebug.php', __NAMESPACE__ . '\Util::activate' );
		register_deactivation_hook( DODEBUG_DIR . 'dodebug.php', __NAMESPACE__ . '\Util::deactivate' ) ;
		register_uninstall_hook( DODEBUG_DIR . 'dodebug.php', __NAMESPACE__ . '\Util::uninstall' ) ;

		Lang::get_instance()->init();
	}
}
