<?php
namespace dodebug;

defined( 'WPINC' ) || exit;

?>
<style type="text/css">
	.dodebug-h2 {
		display: inline-block;
	}

	.dodebug-desc {
		font-size: 12px;
		font-weight: normal;
		color: #7a919e;
		margin: 10px 0;
		line-height: 1.7;
		max-width: 840px;
	}

	.dodebug-api {
		list-style-position: inside;
		margin: 10px;
	}

	.dodebug-api li {
		padding-left: 10px;
	}

</style>
<div class="wrap dodebug-settings">
	<h2 class="dodebug-h2"><?php echo __( 'DoDebug Settings', 'dodebug' ); ?></h2>
	<span class="dodebug-desc">
		v<?php echo Core::VER; ?>
	</span>

	<hr class="wp-header-end">

	<form method="post" action="<?php menu_page_url( 'dodebug' ); ?>" class="dodebug-relative">
	<?php wp_nonce_field( 'dodebug' ); ?>

	<table class="form-table">
		<tr>
			<th scope="row" valign="top"><?php echo __( 'Debug', 'dodebug' ); ?></th>
			<td>
				<p><label><input type="checkbox" name="debug" value="1" <?php echo Conf::val( 'debug' ) ? 'checked' : ''; ?> /> <?php echo __( 'Enable', 'dodebug' ); ?></label></p>
				<p class="description">
					<?php echo __( 'Turn this on to start logging.', 'dodebug' ); ?>
				</p>

				<p><label><input type="checkbox" name="adv" value="1" <?php echo Conf::val( 'adv' ) ? 'checked' : ''; ?> /> <?php echo __( 'Advanced Level', 'dodebug' ); ?></label></p>
				<p class="description">
					<?php echo sprintf( __( 'Advanced level is for the usuage of function %s.', 'dodebug' ), '<code>debug2()</code>' ); ?>
				</p>

				<p><label><input type="checkbox" name="log_cookie" value="1" <?php echo Conf::val( 'log_cookie' ) ? 'checked' : ''; ?> /> <?php echo __( 'Log Cookies', 'dodebug' ); ?></label></p>
			</td>
		</tr>

		<tr>
			<th scope="row" valign="top"><?php echo __( 'Log Filesize Limit', 'dodebug' ); ?></th>
			<td>
				<p><input type="text" size="3" maxlength="4" name="log_size" value="<?php echo Conf::val( 'log_size' ); ?>" /> MB</p>

				<p class="description">
					<?php echo __( 'Specify the maximum size of the log file.', 'dodebug' ); ?>
				</p>
			</td>
		</tr>

		<tr>
			<th scope="row" valign="top"><?php echo __( 'URI Includes', 'dodebug' ); ?></th>
			<td>
				<div class="field-col">
					<textarea name="uri_inc" rows="10" cols="80"><?php echo esc_textarea( implode( "\n", Conf::val( 'uri_inc' ) ) ); ?></textarea>
				</div>
				<div class="field-col field-col-desc">
					<p class="description">
						<?php echo __( 'Only log listed pages. The URLs will be compared to the REQUEST_URI server variable.', 'dodebug' ); ?>
						<?php echo __( 'One per line.', 'dodebug' ); ?>
					</p>
				</div>
			</td>
		</tr>

		<tr>
			<th scope="row" valign="top"><?php echo __( 'URI Excludes', 'dodebug' ); ?></th>
			<td>
				<div class="field-col">
					<textarea name="uri_exc" rows="10" cols="80"><?php echo esc_textarea( implode( "\n", Conf::val( 'uri_exc' ) ) ); ?></textarea>
				</div>
				<div class="field-col field-col-desc">
					<p class="description">
						<?php echo __( 'Prevent any log of listed pages. The URLs will be compared to the REQUEST_URI server variable.', 'dodebug' ); ?>
						<?php echo __( 'One per line.', 'dodebug' ); ?>
					</p>
				</div>
			</td>
		</tr>

		<tr>
			<th scope="row" valign="top"><?php echo __( 'Log Filters', 'dodebug' ); ?></th>
			<td>
				<p><label><input type="checkbox" name="log_filter" value="1" <?php echo Conf::val( 'log_filter' ) ? 'checked' : ''; ?> /> <?php echo __( 'Enable', 'dodebug' ); ?></label></p>
				<p class="description">
					<?php echo __( 'Log all WordPress filter hooks.', 'dodebug' ); ?>
					🚨 <span style="color: #FF8C00 !important;"><?php echo __( 'Enabling this option will cause log file size to grow quickly.', 'dodebug' ); ?></span>
				</p>
			</td>
		</tr>

		<tr>
			<th scope="row" valign="top"><?php echo __( 'Filter Excludes', 'dodebug' ); ?></th>
			<td>
				<div class="field-col">
					<textarea name="filter_exc" rows="10" cols="80"><?php echo esc_textarea( implode( "\n", Conf::val( 'filter_exc' ) ) ); ?></textarea>
				</div>
				<div class="field-col field-col-desc">
					<p class="description">
						<?php echo __( 'Listed filters will not be logged.', 'dodebug' ); ?>
						<?php echo __( 'One per line.', 'dodebug' ); ?>
					</p>
				</div>
			</td>
		</tr>

		<tr>
			<th scope="row" valign="top"><?php echo __( 'Filter Partial Excludes', 'dodebug' ); ?></th>
			<td>
				<div class="field-col">
					<textarea name="filter_partial_exc" rows="10" cols="80"><?php echo esc_textarea( implode( "\n", Conf::val( 'filter_partial_exc' ) ) ); ?></textarea>
				</div>
				<div class="field-col field-col-desc">
					<p class="description">
						<?php echo __( 'Filters containing these strings will not be logged.', 'dodebug' ); ?>
						<?php echo __( 'One per line.', 'dodebug' ); ?>
					</p>
				</div>
			</td>
		</tr>

		<tr>
			<th scope="row" valign="top"><?php echo __( 'Admin IPs', 'dodebug' ); ?></th>
			<td>
				<div class="field-col">
					<textarea name="admin_ip" rows="10" cols="80"><?php echo esc_textarea( implode( "\n", Conf::val( 'admin_ip' ) ) ); ?></textarea>
				</div>
				<div class="field-col field-col-desc">
					<p class="description">
						<?php echo __( 'Only log the requests from these IPs.', 'dodebug' ); ?>
						<?php echo sprintf( __( 'Your IP is %s.', 'dodebug' ), '<code>' . IP::me() . '</code>' ); ?>
					</p>
				</div>
			</td>
		</tr>

	</table>

	<p class="submit">
		<?php submit_button(); ?>
	</p>
	</form>
</div>

<div class="wrap dodebug-settings">
	<h2 class="dodebug-h2"><?php echo __( 'APIs', 'dodebug' ); ?></h2>

	<ul class="dodebug-api">
		<li>* To tail the log in SSH terminal: <code>tail -f <?php echo Log::get_instance()->filepath(); ?></code></li>

		<li>* To log, use <code>defined( 'debug' ) && debug( 'your content to log' );</code> in your plugin/theme code.</li>

		<li>* To log only in advanced debug level, use <code>defined( 'debug' ) && debug2( 'your content to log' );</code>.</li>

		<li>* To log with backtrace depth = 4, use <code>defined( 'debug' ) && debug( 'your content to log', 4 );</code>.</li>

		<li>* To append one variable (usually an array), use <code>defined( 'debug' ) && debug( 'your content to log', $var_to_check );</code>.</li>
	</ul>
</div>

